Subject: [user] git-svn and svn cp

From: [email-masked]
Date: Mon, 19 Nov 2007 12:11:36 +0100

I hope this is the correct mailing list. If not please point me in the 
right direction.

I played a little with git (1.5.3.4 / debian) and had the following 
observation:
Doing a "svn cp" (for example for a tag) results in a large traffic when 
doing a "git-svn fetch" afterwards.

To verify I did:
git-svn clone -s svn://www.ogersoft.at/ogerlit
git-svn fetch
svn cp svn://... svn://... (one file ca 3mb)
svk checkout (a tcpflow output of about 3k - plaintext commands, I think 
a svn checkout would be the same)
git-svn fetch (a tcpflow output of 700k - containing a textdelta of 
nearly 700k)

So the question remains:
Does svn-git dont know about lightweight svn copies?
or can svn-git not handle them correct by now?
or did I something wrong?

thanks
gerhard